Subject: Re: [urn] Formal request for URN for Persistent Web Identifier (PWID)

From: "Svensson, Lars" <[email-masked]>
Date: Fri, 20 Jul 2018 13:18:17 +0000

All,

On Thursday, July 19, 2018 2:30 PM, urn [mailto:[email-masked]] On Behalf Of John C Klensin wrote:

> Thanks.  Again,, my goal is not to get a conclusion of "good" or
> "bad" but to try to get the documentation and the registration
> to reflect as much context and perspective as might be useful to
> a reader or someone considering using the system.  In addition
> and in parallel with a discussion that is going on in parallel,
> if there are multiple proposals being developed in this area,
> I'd like to be sure that everyone is aware of everyone else's
> work.

The feedback I got from our web archiving experts is that the Royal Danish Library currently seems to be the only institution planning to implement this URN. That of course doesn't mean it wouldn't make sense to register the namespace, but since the plan is to have resolution services in place it would be important that potential implementers (i. e. institutions running web archives that might want to help their users by adding the urn:pwid identifier to each archived resource in order to assist the citation management) give feedback.

One potential danger I see is that although the I-D talks about "precise identification of a resource in an arbitrary web Archive", there is no mandated way to create the crucial information "Identification of web archive" when coining a urn:pwid. The only information in the I-D is the recommendation to use the archive's domain name, which can be hard for non-technical users (am I supposed to use archive-it.org or www.archive-it.org?). A registry of archive names doesn't seem useful, so I don't know exactly what to suggest here...

Best,

Lars
 
> --On Thursday, July 19, 2018 13:20 +0100 "Henry S. Thompson"
> <[email-masked]> wrote:
> 
> > John C Klensin writes:
> >
> >> If we can figure out how to do so, we should ask W3C to
> >> comment on this, not to control whether the registration
> >> occurs, but to get input on the specification to the authors
> >> and try to generally improve things.  I think Mark Nottingham
> >> is still the official liaison -- if he is not on this list
> >> (which he may be) could someone who sees him today or
> >> tomorrow call it to his attention and ask him to alert the
> >> relevant people.
> >
> > I'm _not_ the official liaison, but I'll try to have a look
> > and also to pass this by some people I know in the persistent
> > identifier community.
> >
> > ht
> 
> 
> 
> 
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn